﻿using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using System.Diagnostics;
using System.Text;

namespace TicketID_295954_Filters
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			this.clubsGrid.ItemsSource = Club.GetClubs();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			StringBuilder sb = new StringBuilder();
			sb.AppendLine("Current Items");
			sb.AppendLine("-------------");
			foreach (var club in this.clubsGrid.Items)
			{
				sb.AppendLine(club.ToString());
			}
			MessageBox.Show(sb.ToString());
		}

		private void Button_Click_1(object sender, RoutedEventArgs e)
		{
			this.clubsGrid.FilterDescriptors.Clear();
		}
	}
}
